Loading...
Searching...
No Matches
ring_wrap.h File Reference
`#include "polys/monomials/ring.h"`
`#include "Singular/grammar.h"`
`#include "Singular/subexpr.h"`
`#include "Singular/ipid.h"`
`#include <boost/intrusive_ptr.hpp>`
`#include "Number.h"`

Go to the source code of this file.

## Data Structures

class | Ring

## Functions

void | export_ring ()

## Function Documentation

## export_ring()

void export_ring | ( |  | ) |

Definition at line 32 of file ring_wrap.cc.

{
boost::python::class_<Ring>("Ring", "reference to a Singular ring")
.def("__str__", Ring_as_str)
.def("set", ring_set,"equivalent to the singular command setring, which is not mapped as it is a command")
.def(boost::python::init <>());
}
ring_set
void ring_set(Ring &R)
Definition ring_wrap.cc:15
Ring_as_str
static boost::python::object Ring_as_str(const Ring &r)
Definition ring_wrap.cc:7